
mapMod = ...

mapMod:registerAssetId("icons/apple.png", "JK_TEST_IMAGE", "ATLAS_CELL")

mapMod:registerAssetProcessor("models/plantables.fbx", {
	DataType = "BUILDING_ASSET_PROCESSOR"
})

function registerPlantableTree(fbxPath, name)
    local prefabName = registerTree(fbxPath, name)
    mapMod:registerPrefabComponent(fbxPath, { DataType = "COMP_PLANTABLE", MinSpaceBetweenPlant = 6.0 })
    mapMod:register({
        DataType = "PLANTABLE",
        Id = MOD_NS .. "PLANTABLE_" .. name,
        Name = MOD_NS .. "PLANTABLE_" .. name .. "_NAME",
        PlantPrefab = prefabName,
        Icon = "JK_TEST_IMAGE",
        MinimumScale = 1.0,
        MaximumScale = 1.3
    })
end

registerPlantableTree("models/plantables.fbx/Prefab/SingleMeshPinePart", "PINE_AA")
registerPlantableTree("models/plantables.fbx/Prefab/SingleMeshBirchAPart", "BIRCH_AA")
registerPlantableTree("models/plantables.fbx/Prefab/SingleMeshBirchBPart", "BIRCH_BB")
mapMod:override({
    Id = "DEFAULT_BALANCING",
    PlantableList = {
		Action = "APPEND",
        MOD_NS .. "PLANTABLE_PINE_AA",
        MOD_NS .. "PLANTABLE_BIRCH_AA", MOD_NS .. "PLANTABLE_BIRCH_BB", 
    }
})

mapMod:registerAssetId("models/plantables.fbx/Materials/pine_needles", MOD_NS .. "TRANSPARENT_PLANTABLE_NEEDLES")
mapMod:override({
    Id = MOD_NS .. "TRANSPARENT_PLANTABLE_NEEDLES",
    HasAlphaTest = true,
    BackFaceVisible = true,
	HasShadow = true,
})

mapMod:registerAssetId("models/plantables.fbx/Materials/birch_leaves_2", MOD_NS .. "TRANSPARENT_PLANTABLE_BIRCH_LEAVES")
mapMod:override({
    Id = MOD_NS .. "TRANSPARENT_PLANTABLE_BIRCH_LEAVES",
    HasAlphaTest = true,
    BackFaceVisible = true,
	HasShadow = true,
})