mapMod = ...

-- --------------------------------------------------------------------------
local COMP_TRACER = {
    TypeName = "AA_COMP_TRACER",
    ParentType = "COMPONENT",
}


--------------------------------------------------------------------------
function COMP_TRACER:init()
    local owner = self:getOwner()
    local x = tostring(owner:getGlobalPosition()[1])
    local y = tostring(owner:getGlobalPosition()[2])
    local z = tostring(owner:getGlobalPosition()[3])
    local a = tostring(owner:getGlobalOrientation()[1])
    local b = tostring(owner:getGlobalOrientation()[2])
    local c = tostring(owner:getGlobalOrientation()[3])
    local d = tostring(owner:getGlobalOrientation()[4])
    mapMod:log("{ Prefab = rockA, Position = { " .. x .. ", " .. y .. ", " .. z .. '}, Orientation = { ' .. 
        a .. ', ' .. b .. ', ' .. c .. ', ' .. d .. '} },')
end

mapMod:registerClass(COMP_TRACER)
--------------------------------------------------------------------------


-- mapMod:registerPrefabComponent("models/snowy_rocks.fbx/Prefab/RockA", { DataType = "AA_COMP_TRACER" })
mapMod:registerPrefabComponent("models/rocks_b.fbx/Prefab/RockB", { DataType = "AA_COMP_TRACER" })

function addRock(name) 
    mapMod:register({
        DataType = "BUILDING_PART",
        Id = MOD_NS .. "TV_MAP_ROCK_" .. name,
        Name = MOD_NS .. "TV_MAP_ROCK_" .. name,
        ConstructionVisual = MOD_NS .. "TV_MAP_SMALL_ROCK_" .. name .. "_PREFAB",
        ConstructorData = {
            DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
            CoreObjectPrefab = MOD_NS .. "TV_MAP_SMALL_ROCK_" .. name .. "_PREFAB"
        }
    })
end

addRock("A")
addRock("AA")
addRock("B")
addRock("C")
addRock("D")
addRock("E")
addRock("F")

addRock("SNOW_A")

mapMod:register({
    DataType = "BUILDING_PART",
    Id = MOD_NS .. "TV_MAP_ROCK_MM",
    Name = MOD_NS .. "TV_MAP_ROCK_MM",
    ConstructionVisual = MOD_NS .. "TV_MAP_MPEAK_PREFAB",
    ConstructorData = {
        DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
        CoreObjectPrefab = MOD_NS .. "TV_MAP_MPEAK_PREFAB"
    }
})

mapMod:registerPrefabComponent("models/rocks.fbx/Prefab/SnowPeak", { DataType = "AA_COMP_TRACER" })
mapMod:register({
	DataType = "BUILDING",
	Id = "ALL_ROCKS",
	Name = "ALL_ROCKS",
    AssetCoreBuildingPart = "BUILDING_PART_MONUMENT_POLE",
	BuildingType = "MONUMENT",
	BuildingPartSetList = {
        {
            Name = "ROCKS",
            BuildingPartList = {
                "JK_TV_MAP_ROCK_A",
                "JK_TV_MAP_ROCK_AA", "JK_TV_MAP_ROCK_B", "JK_TV_MAP_ROCK_C", "JK_TV_MAP_ROCK_D",
				"JK_TV_MAP_ROCK_E", "JK_TV_MAP_ROCK_F",
                MOD_NS .. "TV_MAP_ROCK_MM",
                -- MOD_NS .. "TV_MAP_ROCK_MINERAL_A",
                "JK_TV_MAP_ROCK_SNOW_A",
            }
        },
	},
	IsEditable = true,
	IsClearTrees = true,
})