mapMod = ...

function registerBuildingPart(prefabName, name)
    mapMod:register({
        DataType = "BUILDING_PART",
        Id = MOD_NS .. name .. "_PART",
        Name = name,
        ConstructionVisual = prefabName,
        ConstructorData = {
            DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
            CoreObjectPrefab = prefabName
        },
        DesirabilityModifiers = {
            {
                    Desirability = "DESIRABILITY_RESIDENTIAL",
                    Radius = 7,
                    Value = 0.2
            }
        },
    })
    mapMod:register({
        DataType = "BUILDING",
        Id = MOD_NS .. name .. "_BUILDING",
        Name = name,
        BuildingType = BUILDING_TYPE.DECORATION,
        AssetCoreBuildingPart =  MOD_NS .. name .. "_PART",
    })
end

registerBuildingPart(MOD_NS .. "PREFAB_OAK_A", "OAK_A")
registerBuildingPart(MOD_NS .. "PREFAB_OAK_B", "OAK_B")
registerBuildingPart(MOD_NS .. "PREFAB_OAK_C", "OAK_C")
registerBuildingPart(MOD_NS .. "PREFAB_BEECH_A", "BEECH_A")
registerBuildingPart(MOD_NS .. "PREFAB_BEECH_B", "BEECH_B")
registerBuildingPart(MOD_NS .. "PREFAB_BEECH_C", "BEECH_C")
registerBuildingPart(MOD_NS .. "PREFAB_BEECH_D", "BEECH_D")
registerBuildingPart(MOD_NS .. "PREFAB_BEECH_SAPLING_A", "BEECH_SAPLING_A")
registerBuildingPart(MOD_NS .. "PREFAB_MAPLE_A", "MAPLE_A")
registerBuildingPart(MOD_NS .. "PREFAB_MAPLE_B", "MAPLE_B")
registerBuildingPart(MOD_NS .. "PREFAB_PINE_A", "PINE_A")
registerBuildingPart(MOD_NS .. "PREFAB_PINE_B", "PINE_B")
registerBuildingPart(MOD_NS .. "PREFAB_PINE_C", "PINE_C")
registerBuildingPart(MOD_NS .. "PREFAB_BIRCH_A", "BIRCH_A")
registerBuildingPart(MOD_NS .. "PREFAB_BIRCH_B", "BIRCH_B")
registerBuildingPart(MOD_NS .. "PREFAB_BIRCH_C", "BIRCH_C")

registerBuildingPart(MOD_NS .. "PREFAB_SHRUB_A", "SHRUB_A")
registerBuildingPart(MOD_NS .. "PREFAB_SHRUB_FERN", "SHRUB_FERN")
registerBuildingPart(MOD_NS .. "PREFAB_SHRUB_LAVENDER", "SHRUB_LAVENDER")
registerBuildingPart(MOD_NS .. "PREFAB_FLOWER_CHAMOMILE", "FLOWER_CHAMOMILE")
registerBuildingPart(MOD_NS .. "PREFAB_FLOWER_POPPIES", "FLOWER_POPPIES")
registerBuildingPart(MOD_NS .. "PREFAB_SHRUB_FORSYTHIA", "SHRUB_FORSYTHIA")
registerBuildingPart(MOD_NS .. "PREFAB_SHRUB_STEPHANANDRA", "SHRUB_STEPHANANDRA")

-- registerBuildingPart(MOD_NS .. "PREFAB_BERRY_BUSH", "BERRY_BUSH")